import { select, arc } from 'd3'; 

const svg = select('svg');


const height = +(svg.attr('width'));
const width = +(svg.attr('height'));

const g = svg.append('g')
	.attr('transform', `translate(${width}, ${height/4+50})`);

const circle = g.append('circle')
  .attr('r', height/4)
	.attr('fill', '#679ef0')
	.attr('stroke', 'black');

const eyeSpacing = 100; 
const eyeYOffset = 100;
const eyeRadius = 40;
const eyebrowWidth = 50; 
const eyebrowHeight = 20;
const eyebrowYOffset = -70;

const eyesG = g.append('g')
	.attr('transform', `translate(0, ${eyeYOffset})`);;

const left = g.append('circle')
  .attr('r', 30)
  .attr('cx', - eyeSpacing)
	.attr('cy', - eyeYOffset); 

const right = g.append('circle')
  .attr('r', 30)
  .attr('cx', eyeSpacing)
	.attr('cy', - eyeYOffset); 


const mouth = g.append('path')
	.attr('d', arc()({
    innerRadius: 0,
    outerRadius: 100,
    startAngle: Math.PI/2,
    endAngle: Math.PI*1.5 
  })); 

const eyesbrowsG = eyesG
	.append('g')
		.attr('transform', `translate(0, ${eyeYOffset})`);;

const leftEyebrow = eyesG
	.append('rect')
    .attr('x', -eyeSpacing - eyebrowWidth/2)
    .attr('y', eyebrowYOffset-190)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight)
 


const rightEyebrow = eyesG
	.append('rect')
    .attr('x', eyeSpacing - eyebrowWidth/2)
    .attr('y', eyebrowYOffset-190)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight)
  .transition().duration(3000)
		.attr('y', eyebrowYOffset-185);


